## qepcad 1.74+ds

=== Makefile ===
##################################################################
#
# Master Makefile for QEPCAD with extensions.
#
# This simply calls qepcad's make, and the master-make for the
# extensions.
##################################################################
SHELL = /bin/bash
MAKE       =  make  # You must use gmake, but it may not be
                    # called gmake on your system, so change this

CCo        =  g++
FLAGSo = -O4 -D__CORRECT_ISO_CPP_STRINGS_H_PROTO -fPIC

CCd        =  g++
FLAGSd = -g

SUBMAKEFLAGS = -j1

MFlags	= "CCo=${CCo}" "FLAGSo=${FLAGSo}"\
          "CCd=${CCd}" "FLAGSd=${FLAGSd}"\
          "MAKE=${MAKE}"\
	  "SUBMAKEFLAGS=${SUBMAKEFLAGS}"
MFlags += -j1

ARFLAGS := crvU

both:   opt deb

opt:
	@echo Making the optimized libraries ...
	cd extensions; ${MAKE} opt ${MFlags}
	@echo Making optimized qepcad
	cd source; ${MAKE} opt ${MFlags}

deb:
	@echo Making the debugging libraries ...
	cd extensions; ${MAKE} deb ${MFlags}
	@echo Making debugging qepcad
	cd source; ${MAKE} deb ${MFlags}

clean:	
	pushd >/dev/null source ; 'rm' -f qepcad qepcadd qepcad.a qepcadd.a ; popd >/dev/null
	pushd >/dev/null extensions ; 'rm' -f */*.a ; popd >/dev/null
	pushd >/dev/null plot2d ; 'rm' -f ADJ_2D_plot ; popd >/dev/null
	pushd >/dev/null cad2d ; 'rm' -f cad2d cad2dd cad2d.a cad2dd.a ; popd >/dev/null

=== cad2d/Makefile ===
#############################################################################
#
#  Makefile for qepcad system.
#
#  (c) Copyright 1994 Research Institute for Symbolic Computation  
#                     Hoon Hong
#
#############################################################################


# ======================================================
#      Adjust these during installation
#      Note: These settings are overridden by any
#      settings in a "make" that calls this recursively
# ======================================================
CCo        =  g++
linkCCo    =  g++
FLAGSo = -O4

CCd        =  g++
linkCCd    =  g++
FLAGSd = -g -DNO_SACLIB_MACROS

# ============================================================
# The readline library is in different places on solaris, i.e.
# not in /usr/lib ... also, it depends on curses.
# ============================================================
ifeq (${OSTYPE},solaris)
SPECIFLAGS =	-I/opt/sfw/include
SPECLFLAGS =	-lcurses # on solaris you have to link curses to get readline!
endif

ARFLAGS := crvU

# ============================================================
#     Do not touch below unless you know what you are doing
# ============================================================
INCLUDES  =	-I${saclib}/include \
		-I${qe}/source \
		${SPECIFLAGS} \
		-I.

EXTLIBS   =	${qe}/source/qepcad.a \
		${qe}/extensions/sfext/sfexto.a \
		${qe}/extensions/lift2D/lift2Do.a \
		${qe}/extensions/newadj/newadjo.a \
		${qe}/extensions/adj2d/adj2do.a \
		${qe}/extensions/rend/rendo.a \
		${qe}/extensions/sfext/sfexto.a \
		${qe}/source/qepcad.a \
		${saclib}/lib/saclibo.a \
		-lreadline \
		${SPECLFLAGS}


EXTLIBSD  =	${qe}/source/qepcadd.a \
		${qe}/extensions/sfext/sfextd.a \
		${qe}/extensions/lift2D/lift2Dd.a \
		${qe}/extensions/newadj/newadjd.a \
		${qe}/extensions/adj2d/adj2dd.a \
		${qe}/extensions/rend/rendd.a \
		${qe}/extensions/sfext/sfextd.a \
		${qe}/source/qepcadd.a \
		${saclib}/lib/saclibd.a \
		-lreadline \
		${SPECLFLAGS}


NAME      =  cad2d
LIB       =  $(NAME).a
LIBD      =  $(NAME)d.a
EXE       =  $(NAME)
EXED      =  $(NAME)d

OBJS = \
src/CAD2D.o \
src/CONSTRUCT.o \
src/MAIN.o \
src/PROJECT.o \
src/PRINTCAD2DBANNER.o \
src/TICAD.o


# ============================================================
#     Dependecies
# ============================================================

DEPENDENCIESo =    $(LIB)($(OBJS))

DEPENDENCIESd =    $(LIBD)($(OBJS))

# ============================================================
#     Make rules
# ============================================================
both:		opt deb

opt:		override CFLAGS = $(FLAGSo)
opt:		override CC = $(CCo)
opt:		$(DEPENDENCIESo)
		ranlib $(LIB)
		@echo Linking the optimized program......
		$(linkCCo) $(FLAGSo) $(INCLUDES) -o $(EXE) ../source/saclib/GCSI.c \
			$(LIB) $(EXTLIBS) $(LIB) $(EXTLIBS)

deb:		override CFLAGS = $(FLAGSd)
deb:		override CC = $(CCd)
deb:		$(DEPENDENCIESd)
		ranlib $(LIBD)
		@echo Linking the debugged program......
		$(linkCCd) $(FLAGSd) $(INCLUDES) -o $(EXED) ../source/saclib/GCSI.c \
			$(LIBD) $(EXTLIBSD) $(LIBD)  $(EXTLIBSD) 

.c.o:	
		$(CC) $(INCLUDES) $(CFLAGS) -o $@ -c $<

=== extensions/Makefile ===
##################################################################
#
# Master Makefile for my extensions to QEPCAD.
#
##################################################################

both:	opt deb

opt:	
	@echo Making the optimized libraries ...
	cd sfext; $(MAKE) ${SUBMAKEFLAGS}
	cd adj2d; $(MAKE) ${SUBMAKEFLAGS}
	cd rend ; $(MAKE) ${SUBMAKEFLAGS}
	cd newadj; $(MAKE) ${SUBMAKEFLAGS}
	cd lift2D; $(MAKE) ${SUBMAKEFLAGS}


deb:	
	@echo Making the debugging libraries ...
	cd sfext; $(MAKE) "deb=x"  ${SUBMAKEFLAGS}
	cd adj2d; $(MAKE) "deb=x"  ${SUBMAKEFLAGS}
	cd rend ; $(MAKE) "deb=x"  ${SUBMAKEFLAGS}
	cd newadj; $(MAKE) "deb=x"  ${SUBMAKEFLAGS}
	cd lift2D; $(MAKE) "deb=x"  ${SUBMAKEFLAGS}

=== plot2d/Makefile ===
######################################################
# Makefile for ADJ2D_plot, the program called by
# QEPCADB to render CAD's of R^2.
#
# You may need to adjust the GLBASE, GLUTBASE and
# XLIBDIR variables in order to compile and link on
# your particular system.
######################################################

### X ##################################################
ifeq (${OSTYPE},solaris)
XLIBDIR = /usr/X11R6/lib
XLIBS = -L$(XLIBDIR) -lX11 -lXext -lXmu -lXi
else
XLIBDIR = /usr/X11R6/lib
XLIBS = -L$(XLIBDIR) -lX11 -lXext #-lXmu -lXi
endif

### OPEN GL ##########################################
GLBASE = /usr
GLINCDIR = $(GLBASE)/include
GLLIBDIR = $(GLBASE)/lib
GLLIBS = -L$(GLLIBDIR) -lGLU -lGL

### GLUT ##############################################
GLUTBASE = /usr
GLUTINCDIR = $(GLUTBASE)/include
GLUTLIBDIR = $(GLUTBASE)/lib
GLUTLIBS = -L$(GLUTLIBDIR) -lglut

### INCLUDE & LINK COMMANDS ############################
INCD = -I$(GLINCDIR) -I$(GLUTINCDIR)
LIBS = $(GLUTLIBS) $(GLLIBS) $(XLIBS) -lpthread -lm 

### MAKE THE PROGRAM! ##################################
plot:	
	g++ -O4 $(INCD) plot.cc -o ADJ2D_plot $(LIBS)

=== source/Makefile ===
#############################################################################
#
#  Makefile for qepcad system.
#
#  (c) Copyright 1994 Research Institute for Symbolic Computation  
#                     Hoon Hong
#
#  Modified by Chris Brown, 2002. NOTE: You MUST use gmake with this file!
#############################################################################


#      Adjust these during installation
#      Note: These settings are overridden by any
#      settings in a "make" that calls this recursively
# ======================================================
CCo        =  g++
FLAGSo = -O4

CCd        =  g++
FLAGSd = -g

ARFLAGS := crvU

# ============================================================
# The readline library is in different places on solaris, i.e.
# not in /usr/lib ... also, it depends on curses.
# ============================================================
ifeq (${OSTYPE},solaris)
SPECIFLAGS =	-I/opt/sfw/include
SPECLFLAGS =	-lcurses # on solaris you have to link curses to get readline!
endif

# ============================================================
#     Do not touch below unless you know what you are doing
# ============================================================

INCLUDES  =	-I${saclib}/include \
		${SPECIFLAGS} \
		-I.

EXTLIBS   =	${qe}/extensions/sfext/sfexto.a \
		${qe}/extensions/lift2D/lift2Do.a \
		${qe}/extensions/newadj/newadjo.a \
		${qe}/extensions/adj2d/adj2do.a \
		${qe}/extensions/rend/rendo.a \
		${saclib}/lib/saclibo.a \
		-lreadline -lrt \
		${SPECLFLAGS}


EXTLIBSD  =	${qe}/extensions/sfext/sfextd.a \
		${qe}/extensions/lift2D/lift2Dd.a \
		${qe}/extensions/newadj/newadjd.a \
		${qe}/extensions/adj2d/adj2dd.a \
		${qe}/extensions/rend/rendd.a \
		${saclib}/lib/saclibd.a \
		-lreadline -lrt \
		${SPECLFLAGS}

NAME      =  qepcad
LIB       =  $(NAME).a
LIBD      =  $(NAME)d.a
EXE       =  $(NAME)
EXED      =  $(NAME)d

# ============================================================
#     Files from the primary QEPCAD program
# ============================================================

OBJS_DB = \
$(LIB)(db/AFCSBMDB.o) \
$(LIB)(db/AFPNIPDB.o) \
$(LIB)(db/AFUPGCDB.o) \
$(LIB)(db/AFUPSFNDB.o) \
$(LIB)(db/DBADD.o) \
$(LIB)(db/DBSRCH.o) \
$(LIB)(db/DBSTATWR.o) \
$(LIB)(db/FNDTSDB.o) \
$(LIB)(db/GETRPDB.o) \
$(LIB)(db/IPFACDB.o) \
$(LIB)(db/MODCRDB.o) \
$(LIB)(db/SUBSTDB.o) \
$(LIB)(db/SINGULAR.o)

OBJS_IO = \
$(LIB)(io/OW.o) \
$(LIB)(io/AFLWR.o) \
$(LIB)(io/AFPDWR.o) \
$(LIB)(io/AFUPRWR.o) \
$(LIB)(io/AFWR.o) \
$(LIB)(io/ATOMFLWR.o) \
$(LIB)(io/ATOMFRDR.o) \
$(LIB)(io/ATOMFWR.o) \
$(LIB)(io/BKSP.o) \
$(LIB)(io/CATTRNRDR.o) \
$(LIB)(io/CATTRNWR.o) \
$(LIB)(io/CELLRDR.o) \
$(LIB)(io/CELLWR.o) \
$(LIB)(io/CELLSWR.o) \
$(LIB)(io/COMMNT.o) \
$(LIB)(io/COMMNTRD.o) \
$(LIB)(io/CONWR.o) \
$(LIB)(io/CREAD.o) \
$(LIB)(io/CWRITE.o) \
$(LIB)(io/DESIREDRDR.o) \
$(LIB)(io/DESIREDWR.o) \
$(LIB)(io/DIELOC.o) \
$(LIB)(io/DISCONWR.o) \
$(LIB)(io/DNFWR.o) \
$(LIB)(io/DNFLPWR.o) \
$(LIB)(io/DNFLWR.o) \
$(LIB)(io/DSTATWR.o) \
$(LIB)(io/FGWRITE.o) \
$(LIB)(io/FILINE.o) \
$(LIB)(io/FREADR.o) \
$(LIB)(io/FWRITE.o) \
$(LIB)(io/GETWORD.o) \
$(LIB)(io/GREADR.o) \
$(LIB)(io/IPLDWR.o) \
$(LIB)(io/IPLLDWR.o) \
$(LIB)(io/IPLLDWRMOD.o) \
$(LIB)(io/IUPRWR.o) \
$(LIB)(io/LABELWR.o) \
$(LIB)(io/LGOPRDR.o) \
$(LIB)(io/LGOPWR.o) \
$(LIB)(io/PARENTWR.o) \
$(LIB)(io/PCADWR.o) \
$(LIB)(io/PCADSWR.o) \
$(LIB)(io/PIMPTBLWR.o) \
$(LIB)(io/PLABELWR.o) \
$(LIB)(io/PRODWR.o) \
$(LIB)(io/QFFLPWR.o) \
$(LIB)(io/QFFLWR.o) \
$(LIB)(io/QFFRDR.o) \
$(LIB)(io/QFFWR.o) \
$(LIB)(io/QFRDR.o) \
$(LIB)(io/QFWR.o) \
$(LIB)(io/RLOPRDR.o) \
$(LIB)(io/RLOPWR.o) \
$(LIB)(io/SAMPLEWR.o) \
$(LIB)(io/SIGNLWR.o) \
$(LIB)(io/SIGNWR.o) \
$(LIB)(io/STACKMWR.o) \
$(LIB)(io/STATWR.o) \
$(LIB)(io/TAB.o) \
$(LIB)(io/TRMODEWR.o) \
$(LIB)(io/TRUTHWR.o) \
$(LIB)(io/VLREADR.o) \
$(LIB)(io/VREADR.o) \
$(LIB)(io/VWRITE.o) \
$(LIB)(io/XREADR.o)

OBJS_MAIN = \
$(LIB)(main/BEGINQEPCAD.o) \
$(LIB)(main/ENDQEPCAD.o) \
$(LIB)(main/INITCTRL.o) \
$(LIB)(main/INITDB.o) \
$(LIB)(main/INITIO.o) \
$(LIB)(main/INITSTAT.o) \
$(LIB)(main/INITSYS.o) \
$(LIB)(main/INPUTRD.o) \
$(LIB)(main/MAIN.o) \
$(LIB)(main/PRINTBANNER.o) \
$(LIB)(main/QEPCAD.o) \
$(LIB)(main/SETUPSYS.o) \
$(LIB)(main/FAIL.o) \
$(LIB)(main/data.o) \
$(LIB)(main/QEPCADauto.o) \
$(LIB)(main/qepcadcls.o) \
$(LIB)(main/CADautoConst.o)

OBJS_NORMQFF = \
$(LIB)(normqff/EXPAFEQ.o) \
$(LIB)(normqff/EXPAFGT.o) \
$(LIB)(normqff/EXPAFGTS.o) \
$(LIB)(normqff/EXPAFLT.o) \
$(LIB)(normqff/EXPAFLTS.o) \
$(LIB)(normqff/ISATOMF.o) \
$(LIB)(normqff/NEGRLOP.o) \
$(LIB)(normqff/NORMAF.o) \
$(LIB)(normqff/NORMAFS.o) \
$(LIB)(normqff/NORMQFF.o) \
$(LIB)(normqff/PQFF.o) \
$(LIB)(normqff/RMCAFS.o) \
$(LIB)(normqff/RMCAON.o) \
$(LIB)(normqff/RMLREOP.o) \
$(LIB)(normqff/RMNOTOP.o) \
$(LIB)(normqff/RMNOTOPN.o) \
$(LIB)(normqff/TYPEAF.o) \
$(LIB)(normqff/TYPEQFF.o)

OBJS_PROJ = \
$(LIB)(proj/APPEND.o) \
$(LIB)(proj/APPENDEC.o) \
$(LIB)(proj/ECLEVEL.o) \
$(LIB)(proj/EXTRACT.o) \
$(LIB)(proj/EXTRACTS.o) \
$(LIB)(proj/GROUPSAMEPJ.o) \
$(LIB)(proj/IPDSCRPRS.o) \
$(LIB)(proj/IPDSCRQE.o) \
$(LIB)(proj/IPLFAC.o) \
$(LIB)(proj/IPRESQE.o) \
$(LIB)(proj/LCM.o) \
$(LIB)(proj/LOAR.o) \
$(LIB)(proj/LUNION.o) \
$(LIB)(proj/MPOLY.o) \
$(LIB)(proj/PROJ.o) \
$(LIB)(proj/PROJCO.o) \
$(LIB)(proj/PROJHO.o) \
$(LIB)(proj/PROJLA.o) \
$(LIB)(proj/PROJMC.o) \
$(LIB)(proj/PROJMCx.o) \
$(LIB)(proj/PROJMCmod.o) \
$(LIB)(proj/PROJMCECmod.o) \
$(LIB)(proj/PROJECT.o) \
$(LIB)(proj/PROJMCEC.o) \
$(LIB)(proj/PROPCONS.o) \
$(LIB)(proj/UDEQNCONST.o) \
$(LIB)(proj/SEPLAB.o) \
$(LIB)(proj/PROJECTauto.o)

OBJS_SYSOLVE = \
$(LIB)(sysolve/ASSUMPTIONSRATVEVAL.o) \
$(LIB)(sysolve/CHANGEASSUMPTIONSLEVEL.o) \
$(LIB)(sysolve/COEFFSYS.o) \
$(LIB)(sysolve/EVALSYS.o) \
$(LIB)(sysolve/FINDRATCOORD.o) \
$(LIB)(sysolve/IPRSOL.o) \
$(LIB)(sysolve/LBMIPL.o) \
$(LIB)(sysolve/LOSETSBF.o) \
$(LIB)(sysolve/LPSILB.o) \
$(LIB)(sysolve/PRINTCOEFFSYSTEM.o) \
$(LIB)(sysolve/QFRCALLS.o) \
$(LIB)(sysolve/SIMPLIFYSYS.o) \
$(LIB)(sysolve/SIMPLIFYSYSLIST.o) \
$(LIB)(sysolve/SYSSOLVE.o) \
$(LIB)(sysolve/SYSTOUNNORMFORMULA.o) \
$(LIB)(sysolve/VERIFYCONSTSIGN.o)

OBJS_TICAD = \
$(LIB)(ticad/ECLI.o) \
$(LIB)(ticad/ISFECLI.o) \
$(LIB)(ticad/CELLNA.o) \
$(LIB)(ticad/ACCCVBC.o) \
$(LIB)(ticad/ACCCVBCR.o) \
$(LIB)(ticad/AFCSBM.o) \
$(LIB)(ticad/AFMSBM.o) \
$(LIB)(ticad/AFUPLM.o) \
$(LIB)(ticad/AFUPMPR.o) \
$(LIB)(ticad/APEQC.o) \
$(LIB)(ticad/CELLATTR.o) \
$(LIB)(ticad/CELLCOMP.o) \
$(LIB)(ticad/CELLSQ.o) \
$(LIB)(ticad/CHCELL.o) \
$(LIB)(ticad/CHOOSE.o) \
$(LIB)(ticad/CHSCN.o) \
$(LIB)(ticad/CONSTRUCT.o) \
$(LIB)(ticad/CONVERT.o) \
$(LIB)(ticad/CSSP.o) \
$(LIB)(ticad/CVCOMP.o) \
$(LIB)(ticad/DELINPOL.o) \
$(LIB)(ticad/DELINPOLR.o) \
$(LIB)(ticad/PFPRDQ.o) \
$(LIB)(ticad/PPPRDQ.o) \
$(LIB)(ticad/IPALLPARTIALS.o) \
$(LIB)(ticad/DESCENDANT.o) \
$(LIB)(ticad/DMAFUPNR.o) \
$(LIB)(ticad/DSCOMP.o) \
$(LIB)(ticad/EC.o) \
$(LIB)(ticad/EC1.o) \
$(LIB)(ticad/ECR.o) \
$(LIB)(ticad/EVALUATE.o) \
$(LIB)(ticad/FNDTS.o) \
$(LIB)(ticad/GETRP.o) \
$(LIB)(ticad/INITPCAD.o) \
$(LIB)(ticad/IPFSBM.o) \
$(LIB)(ticad/IPLSRP.o) \
$(LIB)(ticad/ISDESIRED.o) \
$(LIB)(ticad/ISPRIMIT.o) \
$(LIB)(ticad/IXCOMP.o) \
$(LIB)(ticad/LVCOMP.o) \
$(LIB)(ticad/LPFTOLRLP.o) \
$(LIB)(ticad/LPFZCALL.o) \
$(LIB)(ticad/MAFDIF.o) \
$(LIB)(ticad/MAFHOM.o) \
$(LIB)(ticad/MAFINV.o) \
$(LIB)(ticad/MAFPROD.o) \
$(LIB)(ticad/MAFUPDIF.o) \
$(LIB)(ticad/MAFUPEPROD.o) \
$(LIB)(ticad/MAFUPGCD.o) \
$(LIB)(ticad/MAFUPMON.o) \
$(LIB)(ticad/MAFUPNR.o) \
$(LIB)(ticad/MCELL.o) \
$(LIB)(ticad/MKMUL.o) \
$(LIB)(ticad/MODCR.o) \
$(LIB)(ticad/MUPNR.o) \
$(LIB)(ticad/NORMAL.o) \
$(LIB)(ticad/NZFOPQ.o) \
$(LIB)(ticad/NZFOPQR.o) \
$(LIB)(ticad/PFCOICQ.o) \
$(LIB)(ticad/PLPOS.o) \
$(LIB)(ticad/PROPAGATE.o) \
$(LIB)(ticad/QFFTEV.o) \
$(LIB)(ticad/RCFAFC.o) \
$(LIB)(ticad/SETTRUTHVALUE.o) \
$(LIB)(ticad/SIGNB.o) \
$(LIB)(ticad/SIGNL.o) \
$(LIB)(ticad/SIGNP.o) \
$(LIB)(ticad/SIGNP1.o) \
$(LIB)(ticad/SIGNPR.o) \
$(LIB)(ticad/SIMPLEQE.o) \
$(LIB)(ticad/SPFRPSFT.o) \
$(LIB)(ticad/SSCOMP.o) \
$(LIB)(ticad/STACKMULT.o) \
$(LIB)(ticad/SUBST.o) \
$(LIB)(ticad/SUBSTR.o) \
$(LIB)(ticad/TCHILD.o) \
$(LIB)(ticad/TICAD.o) \
$(LIB)(ticad/TICADauto.o)

OBJS_USERINT = \
$(LIB)(userint/CELLFIDX.o) \
$(LIB)(userint/ESPIWR.o) \
$(LIB)(userint/ESPORD.o) \
$(LIB)(userint/GETCID.o) \
$(LIB)(userint/GFPCSTAT.o) \
$(LIB)(userint/HELPFRD.o) \
$(LIB)(userint/HELPWR.o) \
$(LIB)(userint/INTERACT.o) \
$(LIB)(userint/PRAFUPBRI.o) \
$(LIB)(userint/PRAPPROX.o) \
$(LIB)(userint/PRCCS.o) \
$(LIB)(userint/PRCCSF.o) \
$(LIB)(userint/PRDC.o) \
$(LIB)(userint/PRDCC.o) \
$(LIB)(userint/PRDCS.o) \
$(LIB)(userint/PRDDESIRED.o) \
$(LIB)(userint/PRDESIRED.o) \
$(LIB)(userint/PRDF.o) \
$(LIB)(userint/PRDFPCSTAT.o) \
$(LIB)(userint/PRDIP.o) \
$(LIB)(userint/PRDLFI.o) \
$(LIB)(userint/PRDLPI.o) \
$(LIB)(userint/PRDLV.o) \
$(LIB)(userint/PRDNQFF.o) \
$(LIB)(userint/PRDPC.o) \
$(LIB)(userint/PRDPCS.o) \
$(LIB)(userint/PRDPF.o) \
$(LIB)(userint/PRDPJ.o) \
$(LIB)(userint/PRDQ.o) \
$(LIB)(userint/PRDQFF.o) \
$(LIB)(userint/PRDSEARCH.o) \
$(LIB)(userint/PRDSET.o) \
$(LIB)(userint/PRDSTACK.o) \
$(LIB)(userint/PRDTRACEA.o) \
$(LIB)(userint/PRDTRACED.o) \
$(LIB)(userint/PRDVL.o) \
$(LIB)(userint/PREQNCONST.o) \
$(LIB)(userint/PRFINISH.o) \
$(LIB)(userint/PRGO.o) \
$(LIB)(userint/PRHELP.o) \
$(LIB)(userint/PRIPFZT.o) \
$(LIB)(userint/PRIGS.o) \
$(LIB)(userint/PRLDB.o) \
$(LIB)(userint/PRMCC.o) \
$(LIB)(userint/PROMPT.o) \
$(LIB)(userint/PRPROJOP.o) \
$(LIB)(userint/PRQUIT.o) \
$(LIB)(userint/PRRMPF.o) \
$(LIB)(userint/PRRMPJ.o) \
$(LIB)(userint/PRRSP.o) \
$(LIB)(userint/PRSEARCH.o) \
$(LIB)(userint/PRSIMPLIFIER.o) \
$(LIB)(userint/PRSTEP.o) \
$(LIB)(userint/PRTCN.o) \
$(LIB)(userint/PRTRACEA.o) \
$(LIB)(userint/PRTRACED.o) \
$(LIB)(userint/PRUDB.o) \
$(LIB)(userint/PRUSEDESIRED.o) \
$(LIB)(userint/PRWHATIS.o) \
$(LIB)(userint/RMMPF.o) \
$(LIB)(userint/RMMPJ.o) \
$(LIB)(userint/PRCHPIVOT.o) \
$(LIB)(userint/PRDEQNCONST.o) \
$(LIB)(userint/PREQNCONSTL.o) \
$(LIB)(userint/PRPROPEC.o) \
$(LIB)(userint/PRRESALG.o) \
$(LIB)(userint/USERINT.o)

OBJS_UTIL = \
$(LIB)(util/CELLDEG.o) \
$(LIB)(util/CELLDIM.o) \
$(LIB)(util/MATCHWORD.o) \
$(LIB)(util/MBPROD.o) \
$(LIB)(util/MMFLR.o) \
$(LIB)(util/PLDEG.o) \
$(LIB)(util/PSIMREP.o) \
$(LIB)(util/RMCONS.o) \
$(LIB)(util/RNFAF.o) \
$(LIB)(util/SVPOWR.o) \
$(LIB)(util/SVPROD.o) \
$(LIB)(util/VALIDLBL.o)

#  To replace saclib routines. 
OBJS_SACLIB = \
$(LIB)(saclib/GCSI.o) \
$(LIB)(saclib/gcword.o) \
$(LIB)(saclib/IPFZT.o) \
$(LIB)(saclib/IPFZT1.o) \
$(LIB)(saclib/IPPSCT.o) \
$(LIB)(saclib/IPRNEVAL.o) \
$(LIB)(saclib/RVSPTSVSP.o) \
$(LIB)(saclib/SOSRSUBS.o) \
$(LIB)(saclib/SOSRSUPS.o) \
$(LIB)(saclib/SUBSET.o)


OBJS_DBd = \
$(LIBD)(db/AFCSBMDB.o) \
$(LIBD)(db/AFPNIPDB.o) \
$(LIBD)(db/AFUPGCDB.o) \
$(LIBD)(db/AFUPSFNDB.o) \
$(LIBD)(db/DBADD.o) \
$(LIBD)(db/DBSRCH.o) \
$(LIBD)(db/DBSTATWR.o) \
$(LIBD)(db/FNDTSDB.o) \
$(LIBD)(db/GETRPDB.o) \
$(LIBD)(db/IPFACDB.o) \
$(LIBD)(db/MODCRDB.o) \
$(LIBD)(db/SUBSTDB.o) \
$(LIBD)(db/SINGULAR.o)

OBJS_IOd = \
$(LIBD)(io/OW.o) \
$(LIBD)(io/AFLWR.o) \
$(LIBD)(io/AFPDWR.o) \
$(LIBD)(io/AFUPRWR.o) \
$(LIBD)(io/AFWR.o) \
$(LIBD)(io/ATOMFLWR.o) \
$(LIBD)(io/ATOMFRDR.o) \
$(LIBD)(io/ATOMFWR.o) \
$(LIBD)(io/BKSP.o) \
$(LIBD)(io/CATTRNRDR.o) \
$(LIBD)(io/CATTRNWR.o) \
$(LIBD)(io/CELLRDR.o) \
$(LIBD)(io/CELLWR.o) \
$(LIBD)(io/CELLSWR.o) \
$(LIBD)(io/COMMNT.o) \
$(LIBD)(io/COMMNTRD.o) \
$(LIBD)(io/CONWR.o) \
$(LIBD)(io/CREAD.o) \
$(LIBD)(io/CWRITE.o) \
$(LIBD)(io/DESIREDRDR.o) \
$(LIBD)(io/DESIREDWR.o) \
$(LIBD)(io/DIELOC.o) \
$(LIBD)(io/DISCONWR.o) \
$(LIBD)(io/DNFWR.o) \
$(LIBD)(io/DNFLPWR.o) \
$(LIBD)(io/DNFLWR.o) \
$(LIBD)(io/DSTATWR.o) \
$(LIBD)(io/FGWRITE.o) \
$(LIBD)(io/FILINE.o) \
$(LIBD)(io/FREADR.o) \
$(LIBD)(io/FWRITE.o) \
$(LIBD)(io/GETWORD.o) \
$(LIBD)(io/GREADR.o) \
$(LIBD)(io/IPLDWR.o) \
$(LIBD)(io/IPLLDWR.o) \
$(LIBD)(io/IPLLDWRMOD.o) \
$(LIBD)(io/IUPRWR.o) \
$(LIBD)(io/LABELWR.o) \
$(LIBD)(io/LGOPRDR.o) \
$(LIBD)(io/LGOPWR.o) \
$(LIBD)(io/PARENTWR.o) \
$(LIBD)(io/PCADWR.o) \

=== extensions/adj2d/Makefile ===
##################################################################
#
# Makefile for adj2D.a 
#
# Updated: 3/4/97 -- Chris Brown
#
##################################################################

##################################################################
#  This section gives proper values to flags for opt vs. deb
#------------------
ifdef deb
LIB = adj2dd.a
CC = ${CCd}
FLAGS = ${FLAGSd}
else
LIB = adj2do.a
CC = ${CCo}
FLAGS = ${FLAGSo}
endif
#------------------
##################################################################

ARFLAGS := crvU

INCLUDES  = \
		-I${saclib}/include \
		-I${qe}/source \
		-I${qe}/extensions/sfext \
		-I.

VPATH = 	oldadj:sac_ext:truthbytop


##################################################################
#
# Here we list the object files we want in our library. 
#
##################################################################

O_adj2d = \
$(LIB)(testfunc.o) \
$(LIB)(ADJ_2D.o) \
$(LIB)(ADJ_2D_PART.o) \
$(LIB)(AD2DC_CONS.o) \
$(LIB)(AD2DS_CONS.o) \
$(LIB)(LDCOEFMASK.o) \
$(LIB)(VECTOR_LTEQ.o) \
$(LIB)(VECTOR_SUM.o) \
$(LIB)(VECTOR_DIF_S.o) \
$(LIB)(VECTOR_SEMI_COMP.o) \
$(LIB)(VECTOR_S_PROD.o) \
$(LIB)(VECTOR_NEG.o) \
$(LIB)(SUM_NORM_SP.o) \
$(LIB)(CWD_VECTOR_Q.o) \
$(LIB)(ZERO_VECTOR.o) \
$(LIB)(EQUAL_ON_ONES.o) \
$(LIB)(ADD_2_SOL.o) \
$(LIB)(Mystery_f.o) \
$(LIB)(ADJ_2D_CONSTRUCT.o) \
$(LIB)(P1.o) \
$(LIB)(P2.o) \
$(LIB)(P3.o) \
$(LIB)(P4.o) \
$(LIB)(ADJ_2D1_COMPLETE.o) \
$(LIB)(ADJ_2D1.o) \
$(LIB)(ADJ_2D1_SIMPLE.o) \
$(LIB)(ADJ_2D1P1.o) \
$(LIB)(ADJ_2D1P2.o) \
$(LIB)(ADJ_2D1P3.o)\
$(LIB)(VECTOR_ODD_E.o)

O_oldadj = \
$(LIB)(LLBRSPFSS.o) \
$(LIB)(DNCAC.o) \
$(LIB)(LLSISS.o) \
$(LIB)(RIIFACMA.o)\
$(LIB)(ACMADJ2D.o)\
$(LIB)(RIIFACMABR.o) \
$(LIB)(SPRLC.o)

O_sacext = \
$(LIB)(LBRNMAX.o) \
$(LIB)(LBRNMIN.o) \
$(LIB)(PCFE.o) \
$(LIB)(IUPLBREVAL.o)\
$(LIB)(IPLBREVAL.o)\
$(LIB)(IUPSOPOR.o)\
$(LIB)(IUPSOPORFIL.o)\
$(LIB)(RRCOMPSRI.o)\
$(LIB)(ADJNNA.o)\
$(LIB)(IBPIDFV.o)\
$(LIB)(IPMP2.o)\
$(LIB)(RRLBRNCOMP.o)\
$(LIB)(IPRRILBRI.o)\
$(LIB)(IUPTSII.o)

O_tbytop = \
$(LIB)(TVCLOSURE1D.o) \
$(LIB)(TVCLOSURE1DS.o) \
$(LIB)(CCTV.o) \
$(LIB)(CTVPROPUP.o) \
$(LIB)(TVCCOSBSVAI.o) \
$(LIB)(GRAPHMODULE.o) \
$(LIB)(TV2D.o) \
$(LIB)(C1DTOEDGELIST.o) \
$(LIB)(ADJ2DITOEL.o) \
$(LIB)(ADJGRAPHCONS.o) \
$(LIB)(CLOSURE2D.o) \
$(LIB)(BOUNDARY2D.o)



##################################################################
#
# Embarassingly enough, this lists everything!
#
##################################################################

adj2d:		$(O_adj2d) $(O_oldadj) $(O_sacext) $(O_tbytop)

%.o:		%.c
		$(CC) $(FLAGS) $(INCLUDES) -c $?

=== extensions/lift2D/Makefile ===
##################################################################
#
# Makefile for lift2D.a 
#
# Updated: 7/3/2001 -- Chris Brown
#
##################################################################

##################################################################
#  This section gives proper values to flags for opt vs. deb
#------------------
ifdef deb
LIB = lift2Dd.a
CC = ${CCd}
FLAGS = ${FLAGSd}
else
LIB = lift2Do.a
CC = ${CCo}
FLAGS = ${FLAGSo}
endif
#------------------
##################################################################

ARFLAGS := crvU

INCLUDES  = \
		-I${saclib}/include \
		-I${qe}/source \
		-I${qe}/extensions/sfext \
		-I.


##################################################################
#
# Here we list the object files we want in our library. 
#
##################################################################

O_lift2D = \
$(LIB)(PFSRRQ2D.o)\
$(LIB)(PFSRDQ2D.o)\
$(LIB)(CELLLEFTSIB.o) \
$(LIB)(CELLRIGHTSIB.o) \
$(LIB)(CELLSRRQ2D.o) \
$(LIB)(CELLSRDQ2D.o) \
$(LIB)(LIFTSRR2D.o) \
$(LIB)(modHIPRRISD.o)\
$(LIB)(modHIPRRID.o)\
$(LIB)(modIBPRRIOAP.o)\
$(LIB)(LIFTSRD2D.o)\
$(LIB)(IBPRRIOAP.o) \
$(LIB)(IBPRRIOAPSF.o) \
$(LIB)(IBPELBRISIPR.o) \
$(LIB)(IBPESISIPR.o) \
$(LIB)(modIBPRRIOAPSF.o) \
$(LIB)(modSIPRRISD.o) \
$(LIB)(modSIPRRID.o)

##################################################################
#
# Embarassingly enough, this lists everything!
#
##################################################################

lift2D:		$(O_lift2D)

%.o:		%.c
		$(CC) $(FLAGS) $(INCLUDES) -c $?

=== extensions/newadj/Makefile ===
##################################################################
#
#
##################################################################

##################################################################
#  This section gives proper values to flags for opt vs. deb
#------------------
ifdef deb
LIB = newadjd.a
CC = ${CCd}
FLAGS = ${FLAGSd}
else
LIB = newadjo.a
CC = ${CCo}
FLAGS = ${FLAGSo}
endif
#------------------
##################################################################

ARFLAGS := crvU

INCLUDES  = \
		-I${saclib}/include \
		-I${qe}/source \
		-I${qe}/extensions/sfext \
		-I.


##################################################################
#
#
##################################################################

O_newadj = \
$(LIB)(HAP1.o) \
$(LIB)(HAP2.o) \
$(LIB)(HAP3.o) \
$(LIB)(HA.o) \
$(LIB)(HALDCOEFMASK.o) \
$(LIB)(HAS_CONS.o) \
$(LIB)(HAC_CONS.o) \
$(LIB)(HATEST.o) 


##################################################################
#
# Embarassingly enough, this lists everything!
#
##################################################################

newadj:		$(O_newadj)

%.o:		%.c
		$(CC) $(FLAGS) $(INCLUDES) -c $?

=== extensions/rend/Makefile ===
##################################################################
#
# Makefile for plot stuff
#
##################################################################

##################################################################
#  This section gives proper values to flags for opt vs. deb
#------------------
ifdef deb
LIB = rendd.a
CCpp = ${CCd}
FLAGS = ${FLAGSd}
else
LIB = rendo.a
CCpp = ${CCo}
FLAGS = ${FLAGSo}
endif
#------------------
##################################################################

ARFLAGS := crvU

INCLUDES  = \
		-I${saclib}/include \
		-I${qe}/source \
		-I${qe}/extensions/sfext \
		-I${qe}/extensions/adj2d \
		-I.


O_rend = \
$(LIB)(LBRNQORD.o) \
$(LIB)(SSILRCRI.o) \
$(LIB)(CONMIRCAD.o) \
$(LIB)(PLOT_2D_CAD.o) \
$(LIB)(PLOT2DCAD2FILE.o) \
$(LIB)(Rend_Sample.o) \
$(LIB)(Rend_Cell.o) \
$(LIB)(Rend_Win.o) \
$(LIB)(ADD_POINTS.o) \
$(LIB)(FILL_2D.o) \
$(LIB)(WRITE_PLOT.o) \
$(LIB)(WRITE_PS.o) \
$(LIB)(WRITE_PS_COLOR.o) \
$(LIB)(WRITE_EPS.o) \
$(LIB)(WRITE_PS_STANDARD.o) \
$(LIB)(WRITE_PS_INTERACTIVE.o) \
$(LIB)(WRITE_PS_RAJI.o) \
$(LIB)(ZOOM_OUT.o) \
$(LIB)(GET_COORDS.o) \
$(LIB)(CH_VIEW_WIN.o) \
$(LIB)(CH_VIEW_WIN_COOR.o) \
$(LIB)(DISP2DCAD.o)


rend:		$(O_rend)

%.o:		%.cc
		$(CCpp) $(FLAGS) $(INCLUDES) -c $?

%.o:		%.c
		$(CCpp) $(FLAGS) $(INCLUDES) -c $?

=== extensions/sfext/Makefile ===
##################################################################
#
# Makefile for sfext.a 
#
##################################################################

##################################################################
#  This section gives proper values to flags for opt vs. deb
#------------------
ifdef deb
LIB = sfextd.a
CC = ${CCd}
FLAGS = ${FLAGSd}
else
LIB = sfexto.a
CC = ${CCo}
FLAGS = ${FLAGSo}
endif
#------------------
##################################################################

ARFLAGS := crvU

INCLUDES  = \
		-I${saclib}/include \
		-I${qe}/source/ \
		-I.

VPATH = addpol:crcads:espcad:extlang:fewpol:formula:hoonch:\
	minhit:niavsf:pcadst:projpf:sacadd:sfcons:sort


##################################################################
#
# Here we list the object files we want in our library. 
#
##################################################################
O_addpol = \
$(LIB)(BPOLSETS.o) \
$(LIB)(CFLCELLLIST.o) \
$(LIB)(CLEAN_BIGLOOP.o) \
$(LIB)(STRIPPED_BIGLOOP.o) \
$(LIB)(ICSIGDIFFLNSC.o) \
$(LIB)(KCONST.o) \
$(LIB)(MINPFSETNSC.o) \
$(LIB)(NEWDERIV.o)

O_crcads = \
$(LIB)(CADSCL.o) \
$(LIB)(CADSTATS.o) \
$(LIB)(CELLFINDEX.o) \
$(LIB)(CSN.o) \
$(LIB)(LPFZC.o) \
$(LIB)(LPFZCAL.o) \
$(LIB)(CRCELL.o) \
$(LIB)(CSORCELL.o) \
$(LIB)(CSORCELL_MOD.o) \
$(LIB)(FALSECELLWRITE.o) \
$(LIB)(TRUECELLWRITE.o) \
$(LIB)(LISTOFCWTV.o) \
$(LIB)(NUMSOLPOINTS.o) \
$(LIB)(RNCADRTV.o) \
$(LIB)(SPCADCBDD.o) \
$(LIB)(SOLSETDIM.o) \
$(LIB)(LPFOWCS.o)

O_espcad = \
$(LIB)(ESPCADCRNV.o) \
$(LIB)(ESPCADWRITE.o) \
$(LIB)(PCAD2ESPCAD.o) \
$(LIB)(ESPCADLSNC.o)

O_extlang = \
$(LIB)(ADDROOTKFUNC.o) \
$(LIB)(CELLDSORT.o) \
$(LIB)(ESCELLWR.o) \
$(LIB)(SCAD2ESCAD.o) \
$(LIB)(ESCCPLIST1.o) \
$(LIB)(ESCMHSCONST1.o) \
$(LIB)(ESCMINHITSET.o) \
$(LIB)(ESCADCL.o) \
$(LIB)(LTFOCWTVMARK.o) \
$(LIB)(SCFILTER.o) \
$(LIB)(SCCONFLICTQ.o) \
$(LIB)(ESCSLKMF.o) \
$(LIB)(PARTLIST.o) \
$(LIB)(SPLITBYPART.o) \
$(LIB)(CLOSESTINDEX.o) \
$(LIB)(VECTOR_DIF.o) \
$(LIB)(SETCADTV2MARK.o) \
$(LIB)(SETMARK2FMA.o) \
$(LIB)(CONVEXPROP.o) \
$(LIB)(EXPROP.o) \
$(LIB)(UNIVPROP.o) \
$(LIB)(TEMPWR.o)

O_fewpol = \
$(LIB)(CSORTSS.o) \
$(LIB)(ICSIGDIFFL.o) \
$(LIB)(MINPFSET.o) \
$(LIB)(SIGEQUALOL.o) \
$(LIB)(PWUDSCWCP.o) \
$(LIB)(TDTOD.o)

O_formula = \
$(LIB)(FMAIWRITE.o) \
$(LIB)(FMAWRITE.o) \
$(LIB)(FMAWRITEp.o) \
$(LIB)(FMASMOOTH.o) \
$(LIB)(FMA2DNF.o) \
$(LIB)(FMA2QUNF.o) \
$(LIB)(FMACELLEVAL.o) \
$(LIB)(FMADMQ.o) \
$(LIB)(FTYPEINFO.o) \
$(LIB)(SETTV2FMA.o) \
$(LIB)(FMAREAD.o)  \
$(LIB)(FMAATOMREAD.o) \
$(LIB)(POLINDEX2SIGINDEX.o) \
$(LIB)(FMALEVEL.o) \
$(LIB)(FMASORT.o) \
$(LIB)(FMA_REMCONST.o) \
$(LIB)(FMAOPCOMBINE.o) \
$(LIB)(FMAWRITELATEX.o) \
$(LIB)(IPDWRITELATEX.o) \
$(LIB)(FMAWRITENEWLINE.o) \
$(LIB)(FMAWRITEQEIN.o) \
$(LIB)(FMAPOLLIST.o) \
$(LIB)(TEST.o) \
$(LIB)(FMATRYDISTRIBUTE.o) \
$(LIB)(FMASTRENGTHEN.o)


O_pcadst = \
$(LIB)(CADCL.o) \
$(LIB)(CADFPCAD.o) \
$(LIB)(CADFPCADWI.o) \
$(LIB)(CELLSCPCELL.o) \
$(LIB)(PCELLHOWTV.o) \
$(LIB)(CATV.o) \
$(LIB)(CCADCON.o) \
$(LIB)(CCADCONEXT.o) \
$(LIB)(CCADCONFPFS.o) \
$(LIB)(CCADCONmod.o) \
$(LIB)(CHTVQ.o) \
$(LIB)(CTSEQ.o) \
$(LIB)(LTFOCWTV.o) \
$(LIB)(LTFOCALWTV.o) \
$(LIB)(PCADCFCADC.o) \
$(LIB)(PCADCINDEX.o) \
$(LIB)(PCADCL.o) \
$(LIB)(PCADCSV.o) \
$(LIB)(PCADSCANL.o) \
$(LIB)(PCADSTATS.o) \
$(LIB)(PCADWRITE.o) \
$(LIB)(PLCAD.o) \
$(LIB)(SCADDSCON.o) \
$(LIB)(SIMPLE_CAD_INFO.o) \
$(LIB)(REPLACE_WITH_SIMPLE.o)

O_projpf = \
$(LIB)(ADD2PROJFACS.o) \
$(LIB)(ADD2PROJPOLS.o) \
$(LIB)(LIST_OF_FACS.o) \
$(LIB)(LPFSETINTERSECT.o) \
$(LIB)(LPFSETMINUS.o) \
$(LIB)(PFDISCRIM.o) \
$(LIB)(LLIFIP.o) \
$(LIB)(PFPIPFL.o) \
$(LIB)(PFRES.o) \
$(LIB)(PFSREORDER.o) \
$(LIB)(PFSREORDERREV.o) \
$(LIB)(PFSSUNION.o) \
$(LIB)(PFSUFFCOEF.o) \
$(LIB)(PFSUNION.o) \
$(LIB)(PMINHITSETWPTS.o) \
$(LIB)(POLFLAB.o) \
$(LIB)(PPF.o) \
$(LIB)(PPFLPROJ.o) \
$(LIB)(PPFMINHITSET.o) \
$(LIB)(PPFMINHITSETEXT.o) \
$(LIB)(PPROJFWRITE.o) \
$(LIB)(PPWITHHIST.o) \
$(LIB)(PROJCLOSUREMCEC.o) \
$(LIB)(QPPPFL.o) \
$(LIB)(SEPPIVNONPIV.o)

O_sfcons = \
$(LIB)(DOPFSUFF.o) \
$(LIB)(NAIVEDOPFSUFF.o) \
$(LIB)(ESPCADDOPFSUFF.o) \
$(LIB)(NAIVESF.o) \
$(LIB)(IMPCONS.o) \
$(LIB)(MINCOVBF.o) \
$(LIB)(LISTOTA.o) \
$(LIB)(LISTOETA.o) \
$(LIB)(NECCONDS.o) \
$(LIB)(GEOTEST.o) \
$(LIB)(GEOPARTII.o) \
$(LIB)(CYLFORM.o) \
$(LIB)(CYLIMPFORM.o)\
$(LIB)(SFC1.o) \
$(LIB)(SFC2.o) \
$(LIB)(SFC3.o) \
$(LIB)(SFC3f.o) \
$(LIB)(SFC4.o) \
$(LIB)(SFCFULLD.o) \
$(LIB)(SFCFULLDf.o) \
$(LIB)(SOLEXTINT.o)

O_sort = \
$(LIB)(GIS.o) \
$(LIB)(GISL.o) \
$(LIB)(GMS.o) \
$(LIB)(GMSL.o) \
$(LIB)(GMSDS.o) \
$(LIB)(GMSDSL.o) \
$(LIB)(BVC.o) \
$(LIB)(BVIS.o) \
$(LIB)(BVCI1.o) \
$(LIB)(BVISI1.o)

O_minhit = \
$(LIB)(MINHITSET.o) \
$(LIB)(RSFHSP.o) \
$(LIB)(ENUMMINHITSET.o) \
$(LIB)(MINHITSETSR.o) \
$(LIB)(ENUMMINHITSETSR.o) \
$(LIB)(MINHITSETSRDR.o) \
$(LIB)(MINWHITSET.o)


##################################################################
#
# Embarassingly enough, this lists everything!
#
##################################################################

sfext:		$(O_addpol) $(O_crcads) $(O_espcad) $(O_extlang) $(O_fewpol) $(O_formula)\
		$(O_minhit) $(O_pcadst)  $(O_projpf) $(O_sfcons) $(O_sort)

%.o:		%.c
		$(CC) $(FLAGS) $(INCLUDES) -c $?

=== debian/changelog ===
qepcad (1.74+ds-3) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update copyright years.
  * debian/patches/signed-char-eof.patch
    - New patch; use signed char when reading input (Closes: #996561).
  * debian/rules
    - Use $(MAKE) instead of explicitly calling make.
  * debian/upstream/metadata
    - Add Bug-Submit field.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 18 Oct 2021 15:15:13 -0400

qepcad (1.74+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 18:57:58 +0530

qepcad (1.74+ds-1) unstable; urgency=low

  * Initial release (Closes: #951553).

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 07 Jul 2021 18:41:52 +0530

=== debian/control ===
Source: qepcad
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               freeglut3-dev,
               libreadline-dev,
               libsaclib-dev,
               pkg-config
Standards-Version: 4.6.0
Section: math
Homepage: https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html
Vcs-Git: https://salsa.debian.org/science-team/qepcad.git
Vcs-Browser: https://salsa.debian.org/science-team/qepcad
Rules-Requires-Root: no

Package: qepcad
Architecture: any
Depends: singular, ${misc:Depends}, ${shlibs:Depends}
Description: quantifier elimination tool
 QEPCAD is an implementation of quantifier elimination by partial
 cylindrical algebraic decomposition due originally to Hoon Hong, and
 subsequently added on to by many others. It is an interactive
 command-line program written in C/C++, and based on the SACLIB
 library. Presented here is QEPCAD B version 1.x, the "B" designating a
 substantial departure from the original QEPCAD and distinguishing it
 from any development of the original that may proceed in a different
 direction. QEPCAD and the SACLIB library are the result of a program
 of research by George Collins and his PhD students that has spanned
 several decades ... and continues still!

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto
export qe := $(CURDIR)
export saclib := $(CURDIR)
export SPECLFLAGS := $(LDFLAGS)
FLAGS := "$(CPPFLAGS) $(shell pkg-config saclib --cflags) $(CXXFLAGS)"

%:
	dh $@

override_dh_auto_build:
# statically link against saclib because qepcad re-defines several
# saclib functions (e.g., CREAD) that are called by other saclib functions,
# so dynamic linking won't work
	mkdir -p lib
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/libsaclib.a lib/saclibo.a
	$(MAKE) opt FLAGSo=$(FLAGS)
	$(MAKE) -C cad2d opt FLAGSo=$(FLAGS)
	$(MAKE) -C plot2d INCD="$(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)"
	rm -rf lib

=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+ds \
https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/IQ.html \
qepcad-B.@ANY_VERSION@@ARCHIVE_EXT@
